
Figure - Bug #117836
【IOVDEV-25712】【内部】【VC1】【0072】【台架】【EE环境】【副屏】副屏同步播放中控的视频时响应
了五指抓合操作
2023-05-09 14:38 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-09

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230505 13：36

【前提条件】：车机上电

【操作步骤】

1. 副屏进入音乐界面

2.中控进入冥想播放视频

3.副屏在同步播放中控的视频时进行五指抓合操作

【实际结果】

视频播放结束后，副屏显示桌面

【期望结果】

视频播放结束后，副屏显示音乐界面

【车架号】：

【备注】：

视频地址：https://ofs.human-horizons.com/#/download/index/ir0sjopYAoE%3D

【影响版本】：01.00.0094.c103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-09 14:39 - CDTS_Test 吴诗雨

馨怡：如果是中控打开hiphishow，副屏同步进入，此刻副屏无法操作，只能在中控退出该功能后，才可对副屏进行操作， 需要让供应商解一下bug

#2 - 2023-05-09 15:21 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW王武军

#3 - 2023-05-11 15:55 - CD FW王武军
【】当前状态

1、问题确认，但是未能本地复现问题

因为这是三屏联动的相关功能，本地中控没有条件完成复现。

2、从视屏来看是HiphiShow播放视屏时执行五指操作，下层的音乐界面响应了事件

05-05 13:35:31.594  1533 26565 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.android.music/.MusicBrowserActivity bnds=[1559,96][1859,394]} from uid 10071

05-05 13:35:38.683  2562  2562 I TouchInteractionService: Done start multi-consumer state=false

05-05 13:35:42.451  2562  2562 I TouchInteractionService: Done start multi-consumer state=false

05-05 13:36:17.740  1533 22347 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.android.music/.MusicBrowserActivity bnds=[1559,96][1859,394]} from uid 10071

05-05 13:36:24.813  2562  2562 I TouchInteractionService: Done start multi-consumer state=false

从日志来看，HiphiShow播放视屏并未启动界面，这种方式可能会影响五指手势的逻辑流程。

现在需要客户帮忙在：打开音乐应用-》播放视屏时，执行五指操作之前抓下dump信息。

命令如下：adb shell dumpsys activity > 117836_dump.log

请@吴诗雨帮忙联系下客户抓下信息

#4 - 2023-05-11 19:49 - CD FW王武军

1、5月11日进展

1）根据日志信息(dump信息还未获取到)，可以看出HiphiShow联动在副屏播放视屏时，并未启动界面。

2）从HiphiShow的部分代码信息

//HHMediaController.java

    public void onStart() {

        Logger.tag(TAG).i("onStart(2)", new Object[0]);

        try {

            this.mMediaStatusListener.onStarted();

            this.mDecoder.play(this.mSurfaceView.getHolder().getSurface());

        } catch (Exception e) {

            if (!this.mDecoder.isPlaying()) {

                return;

            }

            e.printStackTrace();

            this.mMediaStatusListener.onFailed(3);

        }

    }

从播放视屏的代码来看，HiphiShow是直接通过Surface进行了视屏的播放，并未启动界面。

而五指手势的逻辑真针对直观的界面，让界面可以在响应五指手势的时候可返回home主界面，起一个home的作用。

虽然视屏在顶层播放，但是手势事件根本不会被视屏响应，反而是处于下层的音乐界面MusicBrowserActivity会响应，所以

结果就如同票中视屏的效果一样HiphiShow播放视屏完成后，退出播放，没有显示音乐界面，而是回到了home主界面。

3）目前结论

这个问题从逻辑上副屏是没有办法单独处理五指的手势迎合HiphiShow的视屏播放进行手势的拦截。

如果需要规避播放视屏时手势的响应，那么需要HiphiShow通过某种方式告诉手势系统，当前在播放视屏，手势需要被拦截。

拦截的修改方式大致有如下2种：

（1）系统属性值

系统提供一个prop值，HiphiShow在播放视屏开始和结束时通过SystemProperties修改值，手势在分发时判断这个prop值解决是否拦截手势，

这个方式修改prop值可能会存在SELinux权限设置的问题，不太利于调试

（2）广播方式

HiphiShow在播放视屏开始和结束时发送广播修改状态值，手势在分发时根据状态值，决定是否拦截手势。

这个方式相对简单，易于两边进行开发和调试。
2、下一步

需要联系到HiphiShow的开发一起配合修改

#5 - 2023-05-15 12:27 - CD FW王武军

- Assignee changed from CD FW王武军 to CDTS_TEST 王成

@王成

需要测试同事帮忙联系HiphiShow的开发一起调试该问题。

#6 - 2023-05-25 21:28 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD TPM-王祥林

修改为中控播放三屏联动相关操作时，副屏不响应TP

#7 - 2023-06-03 23:07 - CD TPM-王祥林

- Status changed from New to Pending

此问题已经超出了当初定义的需求范围，需求定义副屏只是集成hiphishow的apk，不做其他处理。如果要做类似的屏蔽操作需要从项目层面走需求变更流

程后进行开发。

#8 - 2023-06-03 23:14 - CD TPM-王祥林

- Status changed from Pending to NEED_INFO

#9 - 2023-07-03 20:30 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_Test 吴诗雨

116版本已经针对hiphishow做了层级调整，jira票已关闭，内部票同步关闭。

#10 - 2023-07-10 17:23 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#11 - 2023-07-10 17:23 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

13点36分副屏在沉浸层响应了五指抓合操作.7z 95.1 KB 2023-05-09 CDTS_Test 吴诗雨

副屏播放视频界面响应了五指抓合操作.mp4 17 MB 2023-05-09 CDTS_Test 吴诗雨
